 import "Turbine.UI"; 
 import "Turbine.UI.Extensions"; 
 import "Turbine.UI.Lotro"; 

 import "Homeopatix.PetStable.Globals"
 import "Homeopatix.PetStable.MinimizedIcon"
 import "Homeopatix.PetStable.VindarPatch"
 import "Homeopatix.PetStable.Commands"
 import "Homeopatix.PetStable.LoadSettings"

Turbine.Shell.WriteLine("<rgb=#CC56DA>Pet Stable</rgb> <rgb=#DDDDDD>".. plugin:GetVersion() .." par Homeo</rgb>")

function SaveSettings(value)
	if(value == 1) then
		settings.positionX = tostring(settings.positionX);
   		settings.positionY = tostring(settings.positionY);
	elseif(value == 2) then
		settings.minimizeX = tostring(settings.minimizeX);
   		settings.minimizeY = tostring(settings.minimizeY);
	elseif(value == 3) then
		settings.shortcutData_1 = tostring(settings.shortcutData_1);
   		settings.shortcutData_2 = tostring(settings.shortcutData_2);
   		settings.shortcutData_3 = tostring(settings.shortcutData_3);
   		settings.shortcutData_4 = tostring(settings.shortcutData_4);
   		settings.shortcutData_5 = tostring(settings.shortcutData_5);
   		settings.shortcutData_6 = tostring(settings.shortcutData_6);
   		settings.shortcutData_7 = tostring(settings.shortcutData_7);
   		settings.shortcutData_8 = tostring(settings.shortcutData_8);
   		settings.shortcutData_9 = tostring(settings.shortcutData_9);
   		settings.shortcutData_10 = tostring(settings.shortcutData_10);
   		settings.shortcutData_11 = tostring(settings.shortcutData_11);
   		settings.shortcutData_12 = tostring(settings.shortcutData_12);
   		settings.shortcutData_13 = tostring(settings.shortcutData_13);
   		settings.shortcutData_14 = tostring(settings.shortcutData_14);
   		settings.shortcutData_15 = tostring(settings.shortcutData_15);
   		settings.shortcutData_16 = tostring(settings.shortcutData_16);
   		settings.shortcutData_17 = tostring(settings.shortcutData_17);
   		settings.shortcutData_18 = tostring(settings.shortcutData_18);
   		settings.shortcutData_19 = tostring(settings.shortcutData_19);
   		settings.shortcutData_20 = tostring(settings.shortcutData_20);
   		settings.shortcutData_21 = tostring(settings.shortcutData_21);

	elseif(value == 4) then
		settings.isWindowVisible = settings.isWindowVisible;
	end
   
   -- save the settings
	PatchDataSave( Turbine.DataScope.Character, "PetStable_Settings", settings);
end

CreateLocalizationInfo();

------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------
PetStableWindow=Turbine.UI.Lotro.GoldWindow(); 
PetStableWindow:SetSize(300,210); 
PetStableWindow:SetText(Strings.PluginName); 
PetStableWindow.Message=Turbine.UI.Label(); 
PetStableWindow.Message:SetParent(PetStableWindow); 
PetStableWindow.Message:SetSize(150,10); 
PetStableWindow.Message:SetPosition(PetStableWindow:GetWidth()/2 - 75, 40); 
PetStableWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
PetStableWindow.Message:SetText(Strings.PluginTextFam); 
PetStableWindow:SetWantsKeyEvents(true);

LoadSettings();


PetStableWindow:SetPosition(settings.positionX, settings.positionY);

------------------------------------------------------------------------------------------
-- handle minimizeIcon
------------------------------------------------------------------------------------------
MainMinimizedIcon = MinimizedIcon(Images.MinimizedIcon, 40, 40, PetStableWindow:SetVisible(false));
settings.isWindowVisible = false;
SaveSettings(4);
MainMinimizedIcon:SetPosition(settings.minimizeX, settings.minimizeY);
MainMinimizedIcon:SetZOrder(0);
MainMinimizedIcon.PositionChanged = function()
	settings.minimizeX = MainMinimizedIcon:GetLeft();
	settings.minimizeY = MainMinimizedIcon:GetTop();
	SaveSettings(2);
end


--------------------------------------------------------------------------------------------
--Pet icons
--------------------------------------------------------------------------------------------
centerWindow = Turbine.UI.Extensions.SimpleWindow();
centerWindow:SetSize( 36 , 36 );
centerWindow:SetParent( PetStableWindow );
centerWindow:SetPosition( 18 ,PetStableWindow:GetHeight()/2 - 45);
centerWindow:SetVisible( true );
centerWindow:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow2 = Turbine.UI.Extensions.SimpleWindow();
centerWindow2:SetSize( 36 , 36 );
centerWindow2:SetParent( PetStableWindow );
centerWindow2:SetPosition( 56 ,PetStableWindow:GetHeight()/2 - 45);
centerWindow2:SetVisible( true );
centerWindow2:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow3 = Turbine.UI.Extensions.SimpleWindow();
centerWindow3:SetSize( 36 , 36 );
centerWindow3:SetParent( PetStableWindow );
centerWindow3:SetPosition( 94,PetStableWindow:GetHeight()/2 - 45);
centerWindow3:SetVisible( true );
centerWindow3:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow4 = Turbine.UI.Extensions.SimpleWindow();
centerWindow4:SetSize( 36 , 36 );
centerWindow4:SetParent( PetStableWindow );
centerWindow4:SetPosition( 132,PetStableWindow:GetHeight()/2 - 45);
centerWindow4:SetVisible( true );
centerWindow4:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow5 = Turbine.UI.Extensions.SimpleWindow();
centerWindow5:SetSize( 36 , 36 );
centerWindow5:SetParent( PetStableWindow );
centerWindow5:SetPosition( 170,PetStableWindow:GetHeight()/2 - 45);
centerWindow5:SetVisible( true );
centerWindow5:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow6 = Turbine.UI.Extensions.SimpleWindow();
centerWindow6:SetSize( 36 , 36 );
centerWindow6:SetParent( PetStableWindow );
centerWindow6:SetPosition( 208,PetStableWindow:GetHeight()/2 - 45);
centerWindow6:SetVisible( true );
centerWindow6:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow7 = Turbine.UI.Extensions.SimpleWindow();
centerWindow7:SetSize( 36 , 36 );
centerWindow7:SetParent( PetStableWindow );
centerWindow7:SetPosition( 246,PetStableWindow:GetHeight()/2 - 45);
centerWindow7:SetVisible( true );
centerWindow7:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );


centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow2);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow3);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow4);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow5);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow6);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow7);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);


centerQS1 = Turbine.UI.Lotro.Quickslot();
centerQS1:SetParent( centerWindow );
centerQS1:SetPosition( 0, 0 );
centerQS1:SetSize( 35, 35 );
centerQS1:SetUseOnRightClick(false);

centerQS2 = Turbine.UI.Lotro.Quickslot();
centerQS2:SetParent( centerWindow2 );
centerQS2:SetPosition( 0, 0 );
centerQS2:SetSize( 35, 35 );
centerQS2:SetUseOnRightClick(false);

centerQS3 = Turbine.UI.Lotro.Quickslot();
centerQS3:SetParent( centerWindow3 );
centerQS3:SetPosition( 0, 0 );
centerQS3:SetSize( 35, 35 );
centerQS3:SetUseOnRightClick(false);

centerQS4 = Turbine.UI.Lotro.Quickslot();
centerQS4:SetParent( centerWindow4 );
centerQS4:SetPosition( 0, 0 );
centerQS4:SetSize( 35, 35 );
centerQS4:SetUseOnRightClick(false);

centerQS5 = Turbine.UI.Lotro.Quickslot();
centerQS5:SetParent( centerWindow5 );
centerQS5:SetPosition( 0, 0 );
centerQS5:SetSize( 35, 35 );
centerQS5:SetUseOnRightClick(false);

centerQS6 = Turbine.UI.Lotro.Quickslot();
centerQS6:SetParent( centerWindow6 );
centerQS6:SetPosition( 0, 0 );
centerQS6:SetSize( 35, 35 );
centerQS6:SetUseOnRightClick(false);

centerQS7 = Turbine.UI.Lotro.Quickslot();
centerQS7:SetParent( centerWindow7 );
centerQS7:SetPosition( 0, 0 );
centerQS7:SetSize( 35, 35 );
centerQS7:SetUseOnRightClick(false);

--------------------------------------------------------------------------------------------
--Food for Pet icons
--------------------------------------------------------------------------------------------

centerWindow8 = Turbine.UI.Extensions.SimpleWindow();
centerWindow8:SetSize( 36 , 36 );
centerWindow8:SetParent( PetStableWindow );
centerWindow8:SetPosition( 18 ,PetStableWindow:GetHeight()/2 - 3);
centerWindow8:SetVisible( true );
centerWindow8:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow9 = Turbine.UI.Extensions.SimpleWindow();
centerWindow9:SetSize( 36 , 36 );
centerWindow9:SetParent( PetStableWindow );
centerWindow9:SetPosition( 56 ,PetStableWindow:GetHeight()/2  - 3);
centerWindow9:SetVisible( true );
centerWindow9:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow10 = Turbine.UI.Extensions.SimpleWindow();
centerWindow10:SetSize( 36 , 36 );
centerWindow10:SetParent( PetStableWindow );
centerWindow10:SetPosition( 94,PetStableWindow:GetHeight()/2  - 3);
centerWindow10:SetVisible( true );
centerWindow10:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow11 = Turbine.UI.Extensions.SimpleWindow();
centerWindow11:SetSize( 36 , 36 );
centerWindow11:SetParent( PetStableWindow );
centerWindow11:SetPosition( 132,PetStableWindow:GetHeight()/2  - 3);
centerWindow11:SetVisible( true );
centerWindow11:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow12 = Turbine.UI.Extensions.SimpleWindow();
centerWindow12:SetSize( 36 , 36 );
centerWindow12:SetParent( PetStableWindow );
centerWindow12:SetPosition( 170,PetStableWindow:GetHeight()/2  - 3);
centerWindow12:SetVisible( true );
centerWindow12:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow13 = Turbine.UI.Extensions.SimpleWindow();
centerWindow13:SetSize( 36 , 36 );
centerWindow13:SetParent( PetStableWindow );
centerWindow13:SetPosition( 208,PetStableWindow:GetHeight()/2  - 3);
centerWindow13:SetVisible( true );
centerWindow13:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow14 = Turbine.UI.Extensions.SimpleWindow();
centerWindow14:SetSize( 36 , 36 );
centerWindow14:SetParent( PetStableWindow );
centerWindow14:SetPosition( 246,PetStableWindow:GetHeight()/2  - 3);
centerWindow14:SetVisible( true );
centerWindow14:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );


centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow8);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow9);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow10);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow11);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow12);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow13);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow14);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);


centerQS8 = Turbine.UI.Lotro.Quickslot();
centerQS8:SetParent( centerWindow8 );
centerQS8:SetPosition( 0, 0 );
centerQS8:SetSize( 35, 35 );
centerQS8:SetUseOnRightClick(false);

centerQS9 = Turbine.UI.Lotro.Quickslot();
centerQS9:SetParent( centerWindow9 );
centerQS9:SetPosition( 0, 0 );
centerQS9:SetSize( 35, 35 );
centerQS9:SetUseOnRightClick(false);

centerQS10 = Turbine.UI.Lotro.Quickslot();
centerQS10:SetParent( centerWindow10 );
centerQS10:SetPosition( 0, 0 );
centerQS10:SetSize( 35, 35 );
centerQS10:SetUseOnRightClick(false);

centerQS11 = Turbine.UI.Lotro.Quickslot();
centerQS11:SetParent( centerWindow11 );
centerQS11:SetPosition( 0, 0 );
centerQS11:SetSize( 35, 35 );
centerQS11:SetUseOnRightClick(false);

centerQS12 = Turbine.UI.Lotro.Quickslot();
centerQS12:SetParent( centerWindow12 );
centerQS12:SetPosition( 0, 0 );
centerQS12:SetSize( 35, 35 );
centerQS12:SetUseOnRightClick(false);

centerQS13 = Turbine.UI.Lotro.Quickslot();
centerQS13:SetParent( centerWindow13 );
centerQS13:SetPosition( 0, 0 );
centerQS13:SetSize( 35, 35 );
centerQS13:SetUseOnRightClick(false);

centerQS14 = Turbine.UI.Lotro.Quickslot();
centerQS14:SetParent( centerWindow14 );
centerQS14:SetPosition( 0, 0 );
centerQS14:SetSize( 35, 35 );
centerQS14:SetUseOnRightClick(false);


--------------------------------------------------------------------------------------------
-- trosieme ligne
--------------------------------------------------------------------------------------------

centerWindow15 = Turbine.UI.Extensions.SimpleWindow();
centerWindow15:SetSize( 36 , 36 );
centerWindow15:SetParent( PetStableWindow );
centerWindow15:SetPosition( 18 ,PetStableWindow:GetHeight()/2 + 39);
centerWindow15:SetVisible( true );
centerWindow15:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow16 = Turbine.UI.Extensions.SimpleWindow();
centerWindow16:SetSize( 36 , 36 );
centerWindow16:SetParent( PetStableWindow );
centerWindow16:SetPosition( 56 ,PetStableWindow:GetHeight()/2  + 39);
centerWindow16:SetVisible( true );
centerWindow16:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow17 = Turbine.UI.Extensions.SimpleWindow();
centerWindow17:SetSize( 36 , 36 );
centerWindow17:SetParent( PetStableWindow );
centerWindow17:SetPosition( 94,PetStableWindow:GetHeight()/2  + 39);
centerWindow17:SetVisible( true );
centerWindow17:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow18 = Turbine.UI.Extensions.SimpleWindow();
centerWindow18:SetSize( 36 , 36 );
centerWindow18:SetParent( PetStableWindow );
centerWindow18:SetPosition( 132,PetStableWindow:GetHeight()/2  + 39);
centerWindow18:SetVisible( true );
centerWindow18:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow19 = Turbine.UI.Extensions.SimpleWindow();
centerWindow19:SetSize( 36 , 36 );
centerWindow19:SetParent( PetStableWindow );
centerWindow19:SetPosition( 170,PetStableWindow:GetHeight()/2  + 39);
centerWindow19:SetVisible( true );
centerWindow19:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow20 = Turbine.UI.Extensions.SimpleWindow();
centerWindow20:SetSize( 36 , 36 );
centerWindow20:SetParent( PetStableWindow );
centerWindow20:SetPosition( 208,PetStableWindow:GetHeight()/2  + 39);
centerWindow20:SetVisible( true );
centerWindow20:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow21 = Turbine.UI.Extensions.SimpleWindow();
centerWindow21:SetSize( 36 , 36 );
centerWindow21:SetParent( PetStableWindow );
centerWindow21:SetPosition( 246,PetStableWindow:GetHeight()/2  + 39);
centerWindow21:SetVisible( true );
centerWindow21:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );


centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow15);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow16);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow17);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow18);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow19);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow20);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow21);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);


centerQS15 = Turbine.UI.Lotro.Quickslot();
centerQS15:SetParent( centerWindow15 );
centerQS15:SetPosition( 0, 0 );
centerQS15:SetSize( 35, 35 );
centerQS15:SetUseOnRightClick(false);

centerQS16 = Turbine.UI.Lotro.Quickslot();
centerQS16:SetParent( centerWindow16 );
centerQS16:SetPosition( 0, 0 );
centerQS16:SetSize( 35, 35 );
centerQS16:SetUseOnRightClick(false);

centerQS17 = Turbine.UI.Lotro.Quickslot();
centerQS17:SetParent( centerWindow17 );
centerQS17:SetPosition( 0, 0 );
centerQS17:SetSize( 35, 35 );
centerQS17:SetUseOnRightClick(false);

centerQS18 = Turbine.UI.Lotro.Quickslot();
centerQS18:SetParent( centerWindow18 );
centerQS18:SetPosition( 0, 0 );
centerQS18:SetSize( 35, 35 );
centerQS18:SetUseOnRightClick(false);

centerQS19 = Turbine.UI.Lotro.Quickslot();
centerQS19:SetParent( centerWindow19 );
centerQS19:SetPosition( 0, 0 );
centerQS19:SetSize( 35, 35 );
centerQS19:SetUseOnRightClick(false);

centerQS20 = Turbine.UI.Lotro.Quickslot();
centerQS20:SetParent( centerWindow20 );
centerQS20:SetPosition( 0, 0 );
centerQS20:SetSize( 35, 35 );
centerQS20:SetUseOnRightClick(false);

centerQS21 = Turbine.UI.Lotro.Quickslot();
centerQS21:SetParent( centerWindow21 );
centerQS21:SetPosition( 0, 0 );
centerQS21:SetSize( 35, 35 );
centerQS21:SetUseOnRightClick(false);



------------------------------------------------------------------------------------------
-- setting the shortcuts
------------------------------------------------------------------------------------------
if(settings.shortcutData_1 ~= "") then
	centerQS1:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_1, settings.shortcutData_1 ) );
end
if(settings.shortcutData_2 ~= "") then
	centerQS2:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_2, settings.shortcutData_2 ) );
end
if(settings.shortcutData_3 ~= "") then
	centerQS3:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_3, settings.shortcutData_3 ) );
end
if(settings.shortcutData_4 ~= "") then
	centerQS4:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_4, settings.shortcutData_4 ) );
end
if(settings.shortcutData_5 ~= "") then
	centerQS5:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_5, settings.shortcutData_5 ) );
end
if(settings.shortcutData_6 ~= "") then
	centerQS6:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_6, settings.shortcutData_6 ) );
end
if(settings.shortcutData_7 ~= "") then
	centerQS7:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_7, settings.shortcutData_7 ) );
end
if(settings.shortcutData_8 ~= "") then
	centerQS8:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_8, settings.shortcutData_8 ) );
end
if(settings.shortcutData_9 ~= "") then
	centerQS9:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_9, settings.shortcutData_9 ) );
end
if(settings.shortcutData_10 ~= "") then
	centerQS10:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_10, settings.shortcutData_10 ) );
end
if(settings.shortcutData_11 ~= "") then
	centerQS11:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_11, settings.shortcutData_11 ) );
end
if(settings.shortcutData_12 ~= "") then
	centerQS12:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_12, settings.shortcutData_12 ) );
end
if(settings.shortcutData_13 ~= "") then
	centerQS13:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_13, settings.shortcutData_13 ) );
end
if(settings.shortcutData_14 ~= "") then
	centerQS14:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_14, settings.shortcutData_14 ) );
end
if(settings.shortcutData_15 ~= "") then
	centerQS15:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_15, settings.shortcutData_15 ) );
end
if(settings.shortcutData_16 ~= "") then
	centerQS16:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_16, settings.shortcutData_16 ) );
end
if(settings.shortcutData_17 ~= "") then
	centerQS17:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_17, settings.shortcutData_17 ) );
end
if(settings.shortcutData_18 ~= "") then
	centerQS18:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_18, settings.shortcutData_18 ) );
end
if(settings.shortcutData_19 ~= "") then
	centerQS19:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_19, settings.shortcutData_19 ) );
end
if(settings.shortcutData_20 ~= "") then
	centerQS20:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_20, settings.shortcutData_20 ) );
end
if(settings.shortcutData_21 ~= "") then
	centerQS21:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_21, settings.shortcutData_21 ) );
end


------------------------------------------------------------------------------------------
-- setting the shortcuts for drag and drop
------------------------------------------------------------------------------------------
centerQS1.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS1:GetShortcut();
	tmp = tmp:GetData();
	
	--Turbine.Shell.WriteLine(tmp); -- display the ID of the schortcut

	settings.shortcutData_1 = tmp;

	SaveSettings(3);
end
centerQS2.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS2:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_2 = tmp;

	SaveSettings(3);
end
centerQS3.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS3:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_3 = tmp;

	SaveSettings(3);
end
centerQS4.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS4:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_4 = tmp;

	SaveSettings(3);
end
centerQS5.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS5:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_5 = tmp;

	SaveSettings(3);
end
centerQS6.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS6:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_6 = tmp;

	SaveSettings(3);
end
centerQS7.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS7:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_7 = tmp;

	SaveSettings(3);
end

centerQS8.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS8:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_8 = tmp;

	SaveSettings(3);
end

centerQS9.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS9:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_9 = tmp;

	SaveSettings(3);
end

centerQS10.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS10:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_10 = tmp;

	SaveSettings(3);
end

centerQS11.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS11:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_11 = tmp;

	SaveSettings(3);
end

centerQS12.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS12:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_12 = tmp;

	SaveSettings(3);
end

centerQS13.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS13:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_13 = tmp;

	SaveSettings(3);
end

centerQS14.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS14:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_14 = tmp;

	SaveSettings(3);
end
centerQS15.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS15:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_15 = tmp;

	SaveSettings(3);
end

centerQS16.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS16:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_16 = tmp;

	SaveSettings(3);
end

centerQS17.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS17:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_17 = tmp;

	SaveSettings(3);
end

centerQS18.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS18:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_18 = tmp;

	SaveSettings(3);
end

centerQS19.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS19:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_19 = tmp;

	SaveSettings(3);
end

centerQS20.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS20:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_20 = tmp;

	SaveSettings(3);
end

centerQS21.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS21:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_21 = tmp;

	SaveSettings(3);
end


------------------------------------------------------------------------------------------
-- event handling
------------------------------------------------------------------------------------------

centerQS1.MouseClick = function(sender, args)
	PetStableWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS2.MouseClick = function(sender, args)
	PetStableWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS3.MouseClick = function(sender, args)
	PetStableWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS4.MouseClick = function(sender, args)
	PetStableWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS5.MouseClick = function(sender, args)
	PetStableWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS6.MouseClick = function(sender, args)
	PetStableWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS7.MouseClick = function(sender, args)
	PetStableWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS8.MouseClick = function(sender, args)
	PetStableWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS9.MouseClick = function(sender, args)
	PetStableWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS10.MouseClick = function(sender, args)
	PetStableWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS11.MouseClick = function(sender, args)
	PetStableWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS12.MouseClick = function(sender, args)
	PetStableWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS13.MouseClick = function(sender, args)
	PetStableWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS14.MouseClick = function(sender, args)
	PetStableWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS15.MouseClick = function(sender, args)
	PetStableWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS16.MouseClick = function(sender, args)
	PetStableWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS17.MouseClick = function(sender, args)
	PetStableWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS18.MouseClick = function(sender, args)
	PetStableWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS19.MouseClick = function(sender, args)
	PetStableWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS20.MouseClick = function(sender, args)
	PetStableWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS21.MouseClick = function(sender, args)
	PetStableWindow:SetVisible(false);
	settings.isWindowVisible = false;
end

------------------------------------------------------------------------------------------
-- delete the shortcut with mouse wheel
------------------------------------------------------------------------------------------

centerQS1.MouseWheel = function(sender, args)
	settings.shortcutData_1 = tostring(""); 
	centerQS1:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS2.MouseWheel = function(sender, args)
	settings.shortcutData_2 = tostring(""); 
	centerQS2:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS3.MouseWheel = function(sender, args)
	settings.shortcutData_3 = tostring(""); 
	centerQS3:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS4.MouseWheel = function(sender, args)
	settings.shortcutData_4 = tostring(""); 
	centerQS4:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS5.MouseWheel = function(sender, args)
	settings.shortcutData_5 = tostring(""); 
	centerQS5:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS6.MouseWheel = function(sender, args)
	settings.shortcutData_6 = tostring(""); 
	centerQS6:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS7.MouseWheel = function(sender, args)
	settings.shortcutData_7 = tostring(""); 
	centerQS7:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS8.MouseWheel = function(sender, args)
	settings.shortcutData_8 = tostring(""); 
	centerQS8:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS9.MouseWheel = function(sender, args)
	settings.shortcutData_9 = tostring(""); 
	centerQS9:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS10.MouseWheel = function(sender, args)
	settings.shortcutData_10 = tostring(""); 
	centerQS10:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS11.MouseWheel = function(sender, args)
	settings.shortcutData_11 = tostring(""); 
	centerQS11:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS12.MouseWheel = function(sender, args)
	settings.shortcutData_12 = tostring(""); 
	centerQS12:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS13.MouseWheel = function(sender, args)
	settings.shortcutData_13 = tostring(""); 
	centerQS13:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS14.MouseWheel = function(sender, args)
	settings.shortcutData_14 = tostring(""); 
	centerQS14:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS15.MouseWheel = function(sender, args)
	settings.shortcutData_15 = tostring(""); 
	centerQS15:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS16.MouseWheel = function(sender, args)
	settings.shortcutData_16 = tostring(""); 
	centerQS16:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS17.MouseWheel = function(sender, args)
	settings.shortcutData_17 = tostring(""); 
	centerQS17:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS18.MouseWheel = function(sender, args)
	settings.shortcutData_18 = tostring(""); 
	centerQS18:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS19.MouseWheel = function(sender, args)
	settings.shortcutData_19 = tostring(""); 
	centerQS19:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS20.MouseWheel = function(sender, args)
	settings.shortcutData_20 = tostring(""); 
	centerQS20:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS21.MouseWheel = function(sender, args)
	settings.shortcutData_21 = tostring(""); 
	centerQS21:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end


PetStableWindow.KeyDown=function(sender, args)
	if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
		PetStableWindow:SetVisible(false);
		settings.isWindowVisible = false;
		SaveSettings(4);
	end
	
	-- https://www.lotro.com/forums/showthread.php?493466-How-to-hide-a-window-on-F12&p=6581962#post6581962
	if ( args.Action == 268435635 ) then
		hudVisible=not hudVisible;
		if hudVisible then
			PetStableWindow:SetVisible(false);
			MainMinimizedIcon:SetVisible(false);
		else
			PetStableWindow:SetVisible(settings.isWindowVisible);
			MainMinimizedIcon:SetVisible(true);
		end
	end
end

function PetStableWindow:Closing(sender, args)
	settings.isWindowVisible = false;
end

------------------------------------------------------------------------------------------
-- if the position changes, save the new window location
------------------------------------------------------------------------------------------
	PetStableWindow.PositionChanged = function( sender, args )
    	local x,y = PetStableWindow:GetPosition();
    	settings.positionX = x;
    	settings.positionY = y;
		SaveSettings(1);
	end

				
	



